<?php // vim: ts=4 sw=4 sts=4 fdm=marker ai noet:
// $Id: index.php,v 1.9 2004/12/08 23:36:45 ishii Exp $
if(is_rss()){
	ob_start();
}

include("header.php");
$xoopsOption['show_rblock'] =0;
$xoopsOption['template_main'] = 'index.html';
include(XOOPS_ROOT_PATH."/header.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsformloader.php");

if(is_rss()){
	ob_get_contents();
	ob_end_clean();
}

/////////////////////////////////////////////////
// Directory definition
// (Ended with a slash like '../path/to/pkwk/', or '')
define('DATA_HOME',     '');
define('LIB_DIR',       'lib/');

/////////////////////////////////////////////////
require(LIB_DIR . 'pukiwiki.php');

function is_rss()
{
	global $HTTP_GET_VARS;

	if( ! empty($HTTP_GET_VARS['cmd']) &&
		($HTTP_GET_VARS['cmd'] == 'rss' ||
		$HTTP_GET_VARS['cmd'] == 'rss10'))
	{
		return true;
	}

	return false;
}

?>
